PhysicalLayerError = (require './PhysicalLayerError.coffee').PhysicalLayerError
ExodusVersion = (require '../util/ExodusVersion.coffee').ExodusVersion

class ExodusError extends PhysicalLayerError
  constructor: (message) ->
    if !message? then message = ''
    message = ExodusVersion.CURRENT.toString() + ': ' + message
    if message[message.length - 1] != '.' then message += '.'
    return super message

exports.ExodusError = ExodusError
